//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
typedef long __stdcall MBegin();
typedef long __stdcall MEnd(long id);
typedef long __stdcall MConvert(long id,char *output);
typedef long __stdcall MAddFiles(long id,char *infile);
typedef long __stdcall MEncrypt(long id,char *userpassword,char *ownerpassword,
				long encryptlevel,long printing,long copying,long changing);
typedef long __stdcall MInformation(long id,char *title,char *subject,char *author,
				char *keywords,char *creator,char *producer);
typedef long __stdcall MWatermark(long id,char *text,long fsize,long fcolor,long position);
typedef long __stdcall MSetParam(long id,long index,char *sparam,char *sparam2, long iparam, long iparam2);                 
//---------------------------------------------------------------------------
const PARAM_DPI		 = 100;
const PARAM_SKEW	 = 101;
const PARAM_BOOKMARK = 102;
const PARAM_ROTATE	 = 103;
const PARAM_PAGESIZE = 104;
const PARAM_CTIFF	 = 105;
const PARAM_GTIFF	 = 106;
const PARAM_BWTIFF	 = 107;
//---------------------------------------------------------------------------

class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TButton *Button1;
    TButton *Button2;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
private:	// User declarations

	HMODULE			m_hinstLib;
	MBegin			*pMBegin;
	MAddFiles		*pMAddFiles;
	MConvert		*pMConvert;	
	MEncrypt		*pMEncrypt;
	MInformation	*pMInformation;
	MWatermark		*pMWatermark;
	MEnd			*pMEnd;
    MSetParam		*pMSetParam;

private:
	BOOL LoadDll();
	BOOL FreeDll();
	void GetModulePath(char *out_path,char *in_name);    
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
