// exampleDlg.h : header file
//

#if !defined(AFX_EXAMPLEDLG_H__839BD14F_1005_4D86_A3C4_8D02519E94DD__INCLUDED_)
#define AFX_EXAMPLEDLG_H__839BD14F_1005_4D86_A3C4_8D02519E94DD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CExampleDlg dialog


/////////////////////////////////////////////////////////////////////////////
typedef long __stdcall MBegin();

typedef long __stdcall MWatermark(long id,char *text,long fsize,long fcolor,long position);

typedef long __stdcall MInformation(long id,char *title,char *subject,char *author,
									char *keywords,char *creator,char *producer);

typedef long __stdcall MEncrypt(long id,char *userpassword,char *ownerpassword,
							long encryptlevel,long printing,long copying,long changing);

typedef long __stdcall MConvert(long id,char *output);
typedef long __stdcall MAddFiles(long id,char *infile);
typedef long __stdcall MSetParam(long id,long index,char *sparam,char *sparam2, long iparam, long iparam2);

typedef long __stdcall MEnd(long id);
/////////////////////////////////////////////////////////////////////////////

const PARAM_DPI		 = 100;
const PARAM_SKEW	 = 101;
const PARAM_BOOKMARK = 102;
const PARAM_ROTATE	 = 103;
const PARAM_PAGESIZE = 104;
const PARAM_CTIFF	 = 105;
const PARAM_GTIFF	 = 106;
const PARAM_BWTIFF	 = 107;
/////////////////////////////////////////////////////////////////////////////



class CExampleDlg : public CDialog
{
// Construction
public:
	CExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CExampleDlg)
	enum { IDD = IDD_EXAMPLE_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL



private:
	HMODULE			m_hinstLib;
	MBegin			*pMBegin;
	MAddFiles		*pMAddFiles;
	MConvert		*pMConvert;	
	MEncrypt		*pMEncrypt;
	MInformation	*pMInformation;
	MWatermark		*pMWatermark;
	MEnd			*pMEnd;
	MSetParam		*pMSetParam;

private:
	BOOL LoadDll();
	BOOL FreeDll();

	void GetModulePath(char *out_path,char *in_name);
// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXAMPLEDLG_H__839BD14F_1005_4D86_A3C4_8D02519E94DD__INCLUDED_)
