VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "vb"
   ClientHeight    =   2250
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   4560
   LinkTopic       =   "Form1"
   ScaleHeight     =   2250
   ScaleWidth      =   4560
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command2 
      Caption         =   "Convert one file to one pdf file"
      Height          =   375
      Left            =   600
      TabIndex        =   1
      Top             =   1200
      Width           =   3495
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Combine all files into one pdf file"
      Height          =   375
      Left            =   600
      TabIndex        =   0
      Top             =   480
      Width           =   3495
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function MBegin Lib "tifftopdf.dll" () As Long
Private Declare Function MAddFiles Lib "tifftopdf.dll" (ByVal id As Long, ByVal infile As String) As Long
Private Declare Function MConvert Lib "tifftopdf.dll" (ByVal id As Long, ByVal output As String) As Long
Private Declare Function MEncrypt Lib "tifftopdf.dll" (ByVal id As Long, ByVal userpassword As String, ByVal ownerpassword As String, ByVal encryptlevel As Long, ByVal printing As Long, ByVal copying As Long, ByVal changing As Long) As Long
Private Declare Function MInformation Lib "tifftopdf.dll" (ByVal id As Long, ByVal title As String, ByVal subject As String, ByVal author As String, ByVal keywords As String, ByVal creator As String, ByVal producer As String) As Long
Private Declare Function MWatermark Lib "tifftopdf.dll" (ByVal id As Long, ByVal text As String, ByVal fsize As Long, ByVal fcolor As Long, ByVal position As Long) As Long
Private Declare Function MSetParam Lib "tifftopdf.dll" (ByVal id As Long, ByVal index As Long, ByVal sparam As String, ByVal sparam2 As String, ByVal iparam As Long, ByVal iparam2 As Long) As Long
Private Declare Function MEnd Lib "tifftopdf.dll" (ByVal id As Long) As Long


Const PARAM_DPI = 100
Const PARAM_SKEW = 101
Const PARAM_BOOKMARK = 102
Const PARAM_ROTATE = 103
Const PARAM_PAGESIZE = 104
Const PARAM_CTIFF = 105
Const PARAM_GTIFF = 106
Const PARAM_BWTIFF = 107

Private Sub Command1_Click()
        Dim id As Long
        Dim level As Long
        Dim printing As Long
        Dim copying As Long
        Dim changing As Long
        Dim bookmark As Long
        Dim imgPosition As Long
    
        Dim infile As String
        Dim infile2 As String
        Dim outfile As String
        infile = App.Path + "\tif.tif"
        infile2 = App.Path + "\tif2.tif"
        outfile = App.Path + "\combine.pdf"
        
        id = MBegin()
        If (id > 0) Then
            level = 40
            printing = 1
            copying = 1
            changing = 0
            'Set PDF Encrypt
            MEncrypt id, "password", "password2", level, printing, copying, changing

            bookmark = 2
            '1 = use the page number as bookmarks.
            '2 = use the short filename as bookmarks.
            '3 = use the full filename as bookmarks.
            MSetParam id, PARAM_BOOKMARK, "", "", bookmark, 0

            imgPosition = 3
            '1 = Fit page
            '2 = Stretch page
            '3 = Center page
            'e.g MSetParam id, PARAM_PAGESIZE, "600", "800", imgPosition, 0
            MSetParam id, PARAM_PAGESIZE, "a4", "", imgPosition, 0

            'jpeg compress arithmetic, and 80 quality
            MSetParam id, PARAM_CTIFF, "jpeg", "", 80, 0

            'Add files
            MAddFiles id, infile
            MAddFiles id, infile2

            'Combine all files into one pdf file
            MConvert id, outfile
            MEnd (id)
        End If
    
    MsgBox "Convert finished!"
End Sub

Private Sub Command2_Click()
        Dim id As Long
        Dim fsize As Long
        Dim fcolor As Long
        Dim position As Long

        Dim infile As String
        Dim infile2 As String
        Dim outpath As String
        infile = App.Path + "\tif.tif"
        infile2 = App.Path + "\tif2.tif"
        outpath = App.Path + "\outpath\"

        id = MBegin()
        If (id > 0) Then
            fsize = 16
            fcolor = 255 'red
            position = 2 'Top-Center
            MWatermark id, "Watermark", fsize, fcolor, position

            'Set PDF Information
            MInformation id, "title", "subject", "author", "keywords", "creator", "producer"

            'Skew correct for black/white tiff file.
            MSetParam id, PARAM_SKEW, "", "", 1, 0

            'Set Dpi 150
            MSetParam id, PARAM_DPI, "", "", 150, 0
        
            'rotate page 90
            MSetParam id, PARAM_ROTATE, "", "", 90, 0

            'Add files
            MAddFiles id, infile
            MAddFiles id, infile2

            MConvert id, outpath
            MEnd (id)
        End If
        
    MsgBox "Convert finished!"
End Sub
